Gofive OpenAPI
empeo
VenioeTaxGo
empeo
VenioeTaxGo
  1. Timesheet
  • Employee
    • Get Employee
      GET
    • Update Employee
      PUT
    • Get List Employees
      GET
    • Get Employees List
      GET
    • Get Mastertypes List
      GET
    • Get Name Prefixes
      GET
    • Get Document Types
      GET
    • Update Employee
      POST
    • Add Employee Attachment
      POST
    • Update Employee Address
      POST
    • Update Employee Family
      POST
    • Update Employee Information
      POST
    • Update Employee Contact
      POST
    • Update Employee Education
      POST
    • Update Employee Experience
      POST
    • Update Employee CustomField
      POST
    • Delete Employee
      POST
    • Get Employee Role
      GET
    • Get Employee Movement Lists
      GET
  • Master
    • Get Organizations
      GET
    • Get CustomField
      GET
    • Get Holiday
      GET
    • Get MasterSetup
      GET
  • Shifts
    • Get Shift Details
      GET
    • Update Employee Shifts
      POST
    • Get Employee Shifts
      GET
    • Swap Employee Shifts
      POST
  • Authentication API
    • Authorization
  • Leave
    • Get Employee Documents
  • Payroll
    • Create Loan
    • Get Loan (Draft)
    • Get Cost Center
    • Get Financial Transactions
    • Update Financial Transactions
  • Attendance
    • Get Time Attendance
    • Get Time Attendances Lite
  • Welfare
    • Get Shuttle Buses
    • Get Passengers
  • Time
    • Workin
    • Get Employee WorkIn Site
    • Get Timestamps
    • Get TimeStamp Attachments
    • Get Workin Sites
    • Get IOMO Logs
    • Add Timestamps
  • AppMan
    • Update status criminal checker
    • Send Email Notification when completed
  • Asset
    • Get Asset list
    • Update Asset
    • Get Employee Assets
  • Recruitment
    • Get Candidate
    • Get Recruitment หน้าหลัก
  • Goals
    • Update KPI
  • Learn
    • GetCourse
  • Praise
    • GetEmployeePraisesByEmployeeNoAsync
    • GetPraiseTypesAsync
    • CreatePraiseRewardManagerAsync
  • Achievement
    • GetEmployeeAchievementsByEmployeeNoAsync
    • CreateAchievementCardAsync
    • CreateAchievementAwardDocumentAsync
  • Timesheet
    • SearchProjects
      POST
    • SearchTasks
      POST
    • AddTimeSheetEntry
      POST
  1. Timesheet

SearchTasks

Developing
POST
https://api-bff-dev.empeo.com/api/v1/timesheets/tasks/search
API to search for tasks information by using text query

Request

Header Params

Body Params application/jsonRequired

Example
{
    "q": "001",
    "limit": 10,
    "includeInactive": false
  }

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api-bff-dev.empeo.com/api/v1/timesheets/tasks/search' \
--header 'Authorization: Bearer eyJhbGciOiJSUzI1NiIsImtpZCI6IkIwN0I2RTQ3QTU1MzkxOTdDQ0Y2NzlDNTVEODFFNDQ1RTE2NUQ2QkVSUzI1NiIsInR5cCI6ImF0K2p3dCIsIng1dCI6InNIdHVSNlZUa1pmTTlubkZYWUhrUmVGbDFyNCJ9.eyJuYmYiOjE3NzQ4NTg2NDcsImV4cCI6MTc3NDg2MjI0NywiaXNzIjoiaHR0cHM6Ly9sb2dpbi1kZXYuZ29maXZlLmNvLnRoIiwiYXVkIjpbIkdPRklWRS5BUEkiLCJJTUMuQVBJIiwiVmVuaW8yLkFQSSJdLCJjbGllbnRfaWQiOiIxM2Q3MDBiMS00ZTFjLTRhY2QtOTRhMy04NmM3MDI2NDBhYWMiLCJlbXBlb191c2VyX2lkIjoiZjQ3Yzc1MmMtOTBkOS00YjJhLThiNWUtZWQ2ZjMxODEzZDA3Iiwic3ViIjoiZjQ3Yzc1MmMtOTBkOS00YjJhLThiNWUtZWQ2ZjMxODEzZDA3IiwianRpIjoiOEQ2Q0I1RjFFNzkzRTI4RDdCQkEzN0EwNDZCRkI3OTciLCJzaWQiOiI5MEQ4OTZFMjJBOTM5RTM2OEJCRDI3Mjk0QjhDMTY3MCIsImlhdCI6MTc3NDg1ODY0Nywic2NvcGUiOlsiR09GSVZFLkFQSSIsIklNQy5BUEkiLCJWZW5pbzIuQVBJIl19.DQq3yPVTksrSU9xjoDID8mJWgsgWJfAsgOsQNqR3WmkuzJoXUNPd0QK3NiyL0uyQevOh8nCJJU5awufIAY18asK6gwDU5HGJb7XeSrmg78ggIQGe0LdG9_sy8hkYZhAOrC9nsh26rqAFnFmIVL-qFUptPld-FTWLO-JZ3yiCWu_9_2tGRZQ78oSb_c3s2k-H7ARvrbiH6KJOa0GMSF9m9_N4Wkf4_E0iP45cmHSix5UTz2tWY3weQf_kcJmOa9l5l1iEX9ErnS8hYCcTHm8ap9_tr1YlLGXAjTmo2WLCjj82zE4ccMKkwubMgEGI1hV3wfdK8hdFNK1XfFHKOPfIKg' \
--header 'Ocp-Apim-Subscription-Key: <key>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "q": "001",
    "limit": 10,
    "includeInactive": false
  }'

Responses

🟢200Success
application/json
Body

Example
{
  "status": {
    "code": "200",
    "description": "Success"
  },
  "data": [
    {
      "taskId": "TASK-1001",
      "taskName": "Development",
      "taskStatus": "ACTIVE",
      "hasAccountingInfo": true,
      "accountCode": "IMC001"
    },
    {
      "taskId": "TASK-1002",
      "taskName": "Development Support",
      "taskStatus": "ACTIVE",
      "hasAccountingInfo": true,
      "accountCode": "IMC002"
    }
  ]
}
🟠401User authentication required V2.
Modified at 2026-03-31 03:45:54
Previous
SearchProjects
Next
AddTimeSheetEntry
Built with